"
 COPYRIGHT (c) 1993 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

WordArray subclass:#TwoByteString
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Collections-Text'
!

TwoByteString comment:'

COPYRIGHT (c) 1993 by Claus Gittinger
             All Rights Reserved

TwoByteStrings are like strings, but storing 16bits per character.
The integration of them into the system is not completed ....

$Header: /cvs/stx/stx/libbasic/TwoByteString.st,v 1.3 1993-10-13 00:18:46 claus Exp $
'!

!TwoByteString class methodsFor:'instance creation'!

basicNew:anInteger
    "return a new empty string with anInteger characters"

    ^ super basicNew:anInteger atAllPut:(Character space)
! !

!TwoByteString methodsFor:'accessing'!

basicAt:index
    "return the character at position index, an Integer
     - reimplemented here since we return characters"

    ^ Character value:(super basicAt:index)
!

basicAt:index put:aCharacter
    "store the argument, aCharacter at position index, an Integer
     - reimplemented here since we store characters"

    super basicAt:index put:(aCharacter asciiValue)
! !

!TwoByteString methodsFor:'converting'!

asString
    "return myself - I am a string"

    ^ self
! !
